%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:           drwright
Version:        3.2.4
Release:        %mkrel 1
Summary:        Typing monitor to force typing breaks
License:        GPLv2+
Group:		Graphical desktop/GNOME
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(xscrnsaver)

%description
DrWright monitors your typing and forces you to periodically take typing
breaks.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/gnome-typing-break-panel.desktop
%{_datadir}/icons/hicolor/*/apps/typing-monitor.*
%{_libdir}/control-center-1/panels/libdrwrightccp.so
%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin


%changelog

* Tue Feb 07 2012 fwang <fwang> 3.2.4-1.mga2
+ Revision: 205738
- new version 3.2.4

* Mon Dec 19 2011 wally <wally> 3.2.3-1.mga2
+ Revision: 184565
- new version 3.2.3

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167781
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155727
- new version 3.2.1

* Fri Sep 30 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 150553
- imported package drwright

